mscorlib 2.0.0.0 4.0.0.0 System.ValueType

The type is not intended to be created by users. Instead, it is returned to the user in response to calling the method.

The object describes the constant and Unicode character, if any, that correspond to the pressed console key. The object also describes, in a bitwise combination of values, whether one or more SHIFT, ALT, or CTRL modifier keys was pressed simultaneously with the console key.

Describes the console key that was pressed, including the character represented by the console key and the state of the SHIFT, ALT, and CTRL modifier keys.

- Constructor
  2.0.0.0
  4.0.0.0

  This type is not intended to be created by users. Instead, it is returned to the user in response to calling the method.

  The type does not specify whether the left or right SHIFT, ALT, or CTRL modifier key was pressed.

  Initializes a new instance of the structure using the specified character, console key, and modifier keys.

  The Unicode character that corresponds to the parameter.
  The console key that corresponds to the parameter.
  true to indicate that a SHIFT key was pressed; otherwise, false.
  true to indicate that an ALT key was pressed; otherwise, false.
  true to indicate that a CTRL key was pressed; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Two objects are equal if their corresponding , , and properties are equal.

  The method performs slightly better than the method because it does not have to convert to an object.

  Gets a value indicating whether the specified object is equal to the current object.

  true if is equal to the current object; otherwise, false.

  An object to compare to the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Two objects are equal if their corresponding , , and properties are equal.

  Gets a value indicating whether the specified object is equal to the current object.

  true if is a object and is equal to the current object; otherwise, false.

  An object to compare to the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  The value returned by the method is not suitable for distinguishing one object from another. If your application needs a unique hash code, override the method with your own method.

  Returns the hash code for the current object.

  A 32-bit signed integer hash code.

- Property
  2.0.0.0
  4.0.0.0
  System.ConsoleKey To be added. To be added.

  Gets the console key represented by the current object.

- Property
  2.0.0.0
  4.0.0.0
  System.Char To be added.

  If the key pressed does not map to a Unicode character (for example, if the user presses the F1 key or the Home key), the value of the property is \U0000.

  Gets the Unicode character represented by the current object.

- Property
  2.0.0.0
  4.0.0.0
  System.ConsoleModifiers To be added. To be added.

  Gets a bitwise combination of values that specifies one or more modifier keys pressed simultaneously with the console key.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Two objects are equal if their corresponding , , and properties are equal.

  Indicates whether the specified objects are equal.

  true if is equal to ; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Two objects are equal if their corresponding , , and properties are equal.

  Indicates whether the specified objects are not equal.

  true if is not equal to ; otherwise, false.

  The first object to compare. The second object to compare.